# setName

abstract fun setName(name: String)

Sets the name for this repository. If this repository is to be added to an org.gradle.api.artifacts.ArtifactRepositoryContainer (including org.gradle.api.artifacts.dsl.RepositoryHandler), its name cannot be changed after it has been added to the container.

#### Parameters

name

The name. Must not be null.

#### Throws

IllegalStateException

If the name is set after it has been added to the container.